petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscInfoDeactivateClass

Deactivates PetscInfo() messages for a PETSc object class.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscInfoDeactivateClass(PetscClassId classid)

Not Collective

### Input Parameter

classid -The object class, e.g., MAT_CLASSID, SNES_CLASSID, etc.

### Notes

One can pass 0 to deactivate all messages that are not associated with an object.

### Keywords

allow, information, printing, monitoring

### See Also

PetscInfoActivateClass(), PetscInfo(), PetscInfoAllow()

### Level

developer

### Location

src/sys/info/verboseinfo.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages